Package org.apache.solr.common.util

# Class JsonSchemaCreator

java.lang.Object
org.apache.solr.common.util.JsonSchemaCreator

public class JsonSchemaCreator extends Object
Creates a json schema from an annotated Java Object. This, by no means, is an exhaustive impl of schema generation. We will expand the scope as we use more types

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<Class<?>,String>`
`natives`

## Constructor Summary

Constructors
Constructor
Description
`JsonSchemaCreator()`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,Object>`
`getSchema(Type t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### natives

public static final Map<Class<?>,String> natives

## Constructor Details

### JsonSchemaCreator

public JsonSchemaCreator()

## Method Details

### getSchema

public static Map<String,Object> getSchema(Type t)